%define upstream_name Data-Transform-ExplicitMetadata
%define upstream_version 0.09

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Encode Perl values in a json-friendly way
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Symbol)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
The JSON module can only encode Perl data structures directly representable
as JSON strings: simple scalars, arrayrefs and hashrefs.

This module transforms a perl data structure into one which may safely
be JSON encoded, while maintaining Perl-specific metadata that isn't directly
expressable in JSON such as blessed and tied references, self-referential
data, typeglobs, reference addresses, etc.

When destrializing, it recreates the original data as closely as possible.

It also includes a Javascript library to manipulate the data structure
created from the JSON string.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Mon Feb 17 2020 umeabot <umeabot> 0.90.0-2.mga8
+ Revision: 1537244
- Mageia 8 Mass Rebuild

* Mon Oct 28 2019 tv <tv> 0.90.0-1.mga8
+ Revision: 1456205
- restore BR no perl(Module::Build)
- update to 0.09

* Thu Sep 20 2018 umeabot <umeabot> 0.80.0-2.mga7
+ Revision: 1282635
- Mageia 7 Mass Rebuild

* Wed Jul 19 2017 sander85 <sander85> 0.80.0-1.mga7
+ Revision: 1125071
- update to 0.08

* Sat Jun 18 2016 pterjan <pterjan> 0.50.0-4.mga6
+ Revision: 1024914
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.50.0-3.mga6
+ Revision: 969263
- Mageia 6 Mass Rebuild

* Sat Aug 15 2015 sander85 <sander85> 0.50.0-2.mga6
+ Revision: 865015
- Fix BRs

* Mon Jun 22 2015 sander85 <sander85> 0.50.0-1.mga6
+ Revision: 839272
- update to 0.05

* Wed Oct 15 2014 umeabot <umeabot> 0.40.0-3.mga5
+ Revision: 751087
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.40.0-2.mga5
+ Revision: 684245
- Mageia 5 Mass Rebuild

* Mon Aug 18 2014 sander85 <sander85> 0.40.0-1.mga5
+ Revision: 665101
- update to 0.04

* Sat Aug 16 2014 sander85 <sander85> 0.30.0-1.mga5
+ Revision: 664473
- update to 0.03

* Wed Jul 02 2014 sander85 <sander85> 0.20.1-1.mga5
+ Revision: 642404
- imported package perl-Data-Transform-ExplicitMetadata

